#include <limits.h>
#include <unistd.h>
#ifndef PAGESIZE
#define PAGESIZE 4096
#endif

static long pagesize(void) __attribute__((const));
static long pagesize(void)
{
	static long retval=0;

	if (retval)
		return retval;
#ifdef HAVE_SYSCONF
#ifdef _SC_PAGESIZE
	retval = sysconf(_SC_PAGESIZE);
	if (retval>0)
		return retval;
	if (retval<0)
		perror("[compat] sysconf(_SC_PAGESIZE)");
#endif
#endif
	retval = PAGESIZE;
	return retval;
}

